"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHalSoftwareOptions = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
const halRawSoftware_1 = require("./halRawSoftware");
// HAL documentation is here : https://api.archives-ouvertes.fr/docs/search
const getHalSoftwareOptions = async ({ queryString, language }) => {
    const rawHalSoftwares = await (0, node_fetch_1.default)([
        `https://api.archives-ouvertes.fr/search/?fq=docType_s:SOFTWARE&wt=json&fl=${halRawSoftware_1.halSoftwareFieldsToReturnAsString}&sort=docid%20asc`,
        `q=${encodeURIComponent(queryString)}`
    ].join("&"))
        .then(response => response.json())
        .then(results => results.response.docs);
    return rawHalSoftwares.map((0, halRawSoftware_1.rawHalSoftwareToExternalOption)(language));
};
exports.getHalSoftwareOptions = getHalSoftwareOptions;
//# sourceMappingURL=getHalSoftwareOptions.js.map