"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compiledDataPrivateToPublic = void 0;
function compiledDataPrivateToPublic(compiledData) {
    return compiledData.map((software) => {
        const { referents, users, instances, annuaireCnllServiceProviders, catalogNumeriqueGouvFrId, categories, comptoirDuLibreSoftware, dereferencing, description, doRespectRgaa, generalInfoMd, id, isFromFrenchPublicService, isPresentInSupportContract, isStillInObservation, keywords, license, logoUrl, name, referencedSinceTime, softwareType, testUrls, latestVersion, updateTime, versionMin, workshopUrls, softwareExternalData, similarExternalSoftwares, parentWikidataSoftware, serviceProviders } = software;
        return {
            serviceProviders,
            annuaireCnllServiceProviders,
            catalogNumeriqueGouvFrId,
            categories,
            comptoirDuLibreSoftware,
            dereferencing,
            description,
            doRespectRgaa,
            generalInfoMd,
            id,
            isFromFrenchPublicService,
            isPresentInSupportContract,
            isStillInObservation,
            keywords,
            license,
            logoUrl,
            name,
            referencedSinceTime,
            softwareType,
            testUrls,
            latestVersion,
            updateTime,
            versionMin,
            workshopUrls,
            softwareExternalData,
            similarExternalSoftwares,
            parentWikidataSoftware,
            "hasExpertReferent": referents.find(({ isExpert }) => isExpert) !== undefined,
            "userAndReferentCountByOrganization": (() => {
                const out = {};
                referents.forEach(referent => {
                    var _a;
                    var _b;
                    const entry = ((_a = out[_b = referent.organization]) !== null && _a !== void 0 ? _a : (out[_b] = { "referentCount": 0, "userCount": 0 }));
                    entry.referentCount++;
                });
                users.forEach(user => {
                    var _a;
                    var _b;
                    const entry = ((_a = out[_b = user.organization]) !== null && _a !== void 0 ? _a : (out[_b] = { "referentCount": 0, "userCount": 0 }));
                    entry.userCount++;
                });
                return out;
            })(),
            "instances": instances.map(({ addedByAgentEmail, ...rest }) => rest)
        };
    });
}
exports.compiledDataPrivateToPublic = compiledDataPrivateToPublic;
//# sourceMappingURL=CompileData.js.map