import { z } from "zod";
export type ComptoirDuLibreApi = {
    getComptoirDuLibre: {
        (): Promise<ComptoirDuLibre>;
        clear: () => void;
    };
    getIconUrl: (params: {
        comptoirDuLibreId: number;
    }) => Promise<string | undefined>;
    getKeywords: (params: {
        comptoirDuLibreId: number;
    }) => Promise<string[]>;
};
export type ComptoirDuLibre = {
    date_of_export: string;
    number_of_software: number;
    softwares: ComptoirDuLibre.Software[];
};
export declare namespace ComptoirDuLibre {
    interface Provider {
        id: number;
        url: string;
        name: string;
        type: string;
        external_resources: {
            website: string | null;
        };
    }
    interface User {
        id: number;
        url: string;
        name: string;
        type: string;
        external_resources: {
            website: string | null;
        };
    }
    interface Software {
        id: number;
        created: string;
        modified: string;
        url: string;
        name: string;
        licence: string;
        external_resources: {
            website: string | null;
            repository: string | null;
        };
        providers: Provider[];
        users: User[];
    }
}
export declare const zComptoirDuLibre: z.ZodObject<{
    date_of_export: z.ZodString;
    number_of_software: z.ZodNumber;
    softwares: z.ZodArray<z.ZodObject<{
        id: z.ZodNumber;
        created: z.ZodString;
        modified: z.ZodString;
        url: z.ZodString;
        name: z.ZodString;
        licence: z.ZodString;
        external_resources: z.ZodObject<{
            website: z.ZodUnion<[z.ZodString, z.ZodNull]>;
            repository: z.ZodUnion<[z.ZodString, z.ZodNull]>;
        }, "strip", z.ZodTypeAny, {
            website: string | null;
            repository: string | null;
        }, {
            website: string | null;
            repository: string | null;
        }>;
        providers: z.ZodArray<z.ZodObject<{
            id: z.ZodNumber;
            url: z.ZodString;
            name: z.ZodString;
            type: z.ZodString;
            external_resources: z.ZodObject<{
                website: z.ZodUnion<[z.ZodString, z.ZodNull]>;
            }, "strip", z.ZodTypeAny, {
                website: string | null;
            }, {
                website: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }, {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }>, "many">;
        users: z.ZodArray<z.ZodObject<{
            id: z.ZodNumber;
            url: z.ZodString;
            name: z.ZodString;
            type: z.ZodString;
            external_resources: z.ZodObject<{
                website: z.ZodUnion<[z.ZodString, z.ZodNull]>;
            }, "strip", z.ZodTypeAny, {
                website: string | null;
            }, {
                website: string | null;
            }>;
        }, "strip", z.ZodTypeAny, {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }, {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        url: string;
        id: number;
        name: string;
        external_resources: {
            website: string | null;
            repository: string | null;
        };
        created: string;
        modified: string;
        licence: string;
        providers: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
        users: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
    }, {
        url: string;
        id: number;
        name: string;
        external_resources: {
            website: string | null;
            repository: string | null;
        };
        created: string;
        modified: string;
        licence: string;
        providers: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
        users: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    softwares: {
        url: string;
        id: number;
        name: string;
        external_resources: {
            website: string | null;
            repository: string | null;
        };
        created: string;
        modified: string;
        licence: string;
        providers: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
        users: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
    }[];
    date_of_export: string;
    number_of_software: number;
}, {
    softwares: {
        url: string;
        id: number;
        name: string;
        external_resources: {
            website: string | null;
            repository: string | null;
        };
        created: string;
        modified: string;
        licence: string;
        providers: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
        users: {
            type: string;
            url: string;
            id: number;
            name: string;
            external_resources: {
                website: string | null;
            };
        }[];
    }[];
    date_of_export: string;
    number_of_software: number;
}>;
