"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.zComptoirDuLibre = void 0;
const zod_1 = require("zod");
const tsafe_1 = require("tsafe");
exports.zComptoirDuLibre = (() => {
    const zProvider = zod_1.z.object({
        "id": zod_1.z.number(),
        "url": zod_1.z.string(),
        "name": zod_1.z.string(),
        "type": zod_1.z.string(),
        "external_resources": zod_1.z.object({
            "website": zod_1.z.union([zod_1.z.string(), zod_1.z.null()])
        })
    });
    (0, tsafe_1.assert)();
    const zUser = zod_1.z.object({
        "id": zod_1.z.number(),
        "url": zod_1.z.string(),
        "name": zod_1.z.string(),
        "type": zod_1.z.string(),
        "external_resources": zod_1.z.object({
            "website": zod_1.z.union([zod_1.z.string(), zod_1.z.null()])
        })
    });
    (0, tsafe_1.assert)();
    const zSoftware = zod_1.z.object({
        "id": zod_1.z.number(),
        "created": zod_1.z.string(),
        "modified": zod_1.z.string(),
        "url": zod_1.z.string(),
        "name": zod_1.z.string(),
        "licence": zod_1.z.string(),
        "external_resources": zod_1.z.object({
            "website": zod_1.z.union([zod_1.z.string(), zod_1.z.null()]),
            "repository": zod_1.z.union([zod_1.z.string(), zod_1.z.null()])
        }),
        "providers": zod_1.z.array(zProvider),
        "users": zod_1.z.array(zUser)
    });
    (0, tsafe_1.assert)();
    const zComptoirDuLibre = zod_1.z.object({
        "date_of_export": zod_1.z.string(),
        "number_of_software": zod_1.z.number(),
        "softwares": zod_1.z.array(zSoftware)
    });
    (0, tsafe_1.assert)();
    return { zComptoirDuLibre };
})().zComptoirDuLibre;
//# sourceMappingURL=ComptoirDuLibreApi.js.map