import { z } from "zod";
export type GetCnllPrestatairesSill = {
    (): Promise<CnllPrestatairesSill[]>;
    clear: () => void;
};
export type CnllPrestatairesSill = {
    nom: string;
    prestataires: CnllPrestatairesSill.Prestataire[];
    sill_id: number;
};
export declare namespace CnllPrestatairesSill {
    type Prestataire = {
        nom: string;
        siren: string;
        url: string;
    };
}
export declare const zCnllPrestatairesSill: z.ZodObject<{
    nom: z.ZodString;
    prestataires: z.ZodArray<z.ZodObject<{
        nom: z.ZodString;
        siren: z.ZodString;
        url: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        url: string;
        nom: string;
        siren: string;
    }, {
        url: string;
        nom: string;
        siren: string;
    }>, "many">;
    sill_id: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    nom: string;
    prestataires: {
        url: string;
        nom: string;
        siren: string;
    }[];
    sill_id: number;
}, {
    nom: string;
    prestataires: {
        url: string;
        nom: string;
        siren: string;
    }[];
    sill_id: number;
}>;
