import { z } from "zod";
import type { LocalizedString as LocalizedString_generic } from "i18nifty/LocalizedString/reactless";
import type { PartialNoOptional } from "../../tools/PartialNoOptional";
type ExternalId = string;
export type ExternalDataOrigin = "wikidata" | "HAL";
export type GetSoftwareExternalData = {
    (externalId: ExternalId): Promise<SoftwareExternalData | undefined>;
    clear: (externalId: ExternalId) => void;
};
export type SoftwareExternalData = {
    externalId: ExternalId;
    externalDataOrigin: ExternalDataOrigin;
    developers: {
        name: string;
        id: string;
    }[];
    label: LocalizedString;
    description: LocalizedString;
    isLibreSoftware: boolean;
} & PartialNoOptional<{
    logoUrl: string;
    framaLibreId: string;
    websiteUrl: string;
    sourceUrl: string;
    documentationUrl: string;
    license: string;
}>;
export declare const languages: readonly ["fr", "en"];
export type Language = (typeof languages)[number];
export type LocalizedString = LocalizedString_generic<Language>;
export declare const zLocalizedString: z.ZodUnion<[z.ZodString, z.ZodRecord<z.ZodUnion<[z.ZodLiteral<"en">, z.ZodLiteral<"fr">]>, z.ZodString>]>;
export {};
