import type { Software, Agent, Instance } from "./types";
import { CompiledData } from "../../ports/CompileData";
export declare const protectedSelectors: {
    similarSoftwarePartition: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => Software.SimilarSoftware[][]) & import("reselect").OutputSelectorFields<(args_0: CompiledData<"private">) => Software.SimilarSoftware[][], {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
};
export declare const selectors: {
    softwares: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => Software[]) & import("reselect").OutputSelectorFields<(args_0: CompiledData<"private">, args_1: Software.SimilarSoftware[][]) => Software[], {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    instances: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => Instance[]) & import("reselect").OutputSelectorFields<(args_0: CompiledData<"private">) => Instance[], {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    agents: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => Agent[]) & import("reselect").OutputSelectorFields<(args_0: {
        db: import("../../ports/DbApi").Db;
        compiledData: CompiledData<"private">;
    }) => Agent[], {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    referentCount: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => number) & import("reselect").OutputSelectorFields<(args_0: Agent[]) => number, {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    compiledDataPublicJson: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => string) & import("reselect").OutputSelectorFields<(args_0: {
        db: import("../../ports/DbApi").Db;
        compiledData: CompiledData<"private">;
    }) => string, {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
    aboutAndIsPublicByAgentEmail: ((state: {
        readWriteSillData: {
            db: import("../../ports/DbApi").Db;
            compiledData: CompiledData<"private">;
        };
    }) => Record<string, {
        isPublic: boolean;
        about: string | undefined;
    } | undefined>) & import("reselect").OutputSelectorFields<(args_0: {
        db: import("../../ports/DbApi").Db;
        compiledData: CompiledData<"private">;
    }) => Record<string, {
        isPublic: boolean;
        about: string | undefined;
    } | undefined>, {
        clearCache: () => void;
    }> & {
        clearCache: () => void;
    };
};
