"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var _a, _b, _c;
Object.defineProperty(exports, "__esModule", { value: true });
exports.env = void 0;
const symToStr_1 = require("tsafe/symToStr");
const assert_1 = require("tsafe/assert");
const JSONC = __importStar(require("comment-json"));
const zod_1 = require("zod");
const GetSoftwareExternalData_1 = require("./core/ports/GetSoftwareExternalData");
const is_1 = require("tsafe/is");
const zParsedCONFIGURATION = zod_1.z.object({
    "keycloakParams": zod_1.z
        .object({
        "url": zod_1.z.string().nonempty(),
        "realm": zod_1.z.string().nonempty(),
        "clientId": zod_1.z.string().nonempty(),
        "adminPassword": zod_1.z.string().nonempty(),
        "organizationUserProfileAttributeName": zod_1.z.string().nonempty()
    })
        .optional(),
    "termsOfServiceUrl": GetSoftwareExternalData_1.zLocalizedString,
    "readmeUrl": GetSoftwareExternalData_1.zLocalizedString,
    "jwtClaimByUserKey": zod_1.z.object({
        "id": zod_1.z.string().nonempty(),
        "email": zod_1.z.string().nonempty(),
        "organization": zod_1.z.string().nonempty()
    }),
    "dataRepoSshUrl": zod_1.z.string().nonempty(),
    // Like id_ed25537
    "sshPrivateKeyForGitName": zod_1.z.string().nonempty(),
    // Like -----BEGIN OPENSSH PRIVATE KEY-----\nxxx ... xxx\n-----END OPENSSH PRIVATE KEY-----\n
    // You can a fake key in .env.local.sh for running yarn dev
    "sshPrivateKeyForGit": zod_1.z.string().nonempty(),
    "githubWebhookSecret": zod_1.z.string().nonempty().optional(),
    // Only for increasing the rate limit on GitHub API
    // we use the GitHub API for pre filling the version when adding a software
    "githubPersonalAccessTokenForApiRateLimit": zod_1.z.string().nonempty(),
    //Port we listen to, default 8080
    "port": zod_1.z.number().optional(),
    "isDevEnvironnement": zod_1.z.boolean().optional(),
    // Completely disable this instance and redirect to another url
    "redirectUrl": zod_1.z.string().optional(),
    "externalSoftwareDataOrigin": zod_1.z.enum(["wikidata", "HAL"]).optional()
});
const { parsedCONFIGURATION } = (() => {
    const { CONFIGURATION } = process.env;
    if (CONFIGURATION === undefined) {
        throw new Error(`We need a ${(0, symToStr_1.symToStr)({
            CONFIGURATION
        })} environnement variable`);
    }
    let parsedCONFIGURATION;
    try {
        parsedCONFIGURATION = JSONC.parse(CONFIGURATION);
    }
    catch (error) {
        throw new Error(`The CONFIGURATION environnement variable is not a valid JSONC string (JSONC = JSON + Comment support)\n${CONFIGURATION}: ${String(error)}`);
    }
    zParsedCONFIGURATION.parse(parsedCONFIGURATION);
    (0, assert_1.assert)((0, is_1.is)(parsedCONFIGURATION));
    return { parsedCONFIGURATION };
})();
exports.env = {
    ...parsedCONFIGURATION,
    "port": (_a = parsedCONFIGURATION.port) !== null && _a !== void 0 ? _a : 8080,
    "isDevEnvironnement": (_b = parsedCONFIGURATION.isDevEnvironnement) !== null && _b !== void 0 ? _b : false,
    "externalSoftwareDataOrigin": (_c = parsedCONFIGURATION.externalSoftwareDataOrigin) !== null && _c !== void 0 ? _c : "wikidata"
};
//# sourceMappingURL=env.js.map