"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContextFactory = void 0;
const createValidateKeycloakSignature_1 = require("../tools/createValidateKeycloakSignature");
const jwtSimple = __importStar(require("jwt-simple"));
const user_1 = require("./user");
function createContextFactory(params) {
    const { jwtClaimByUserKey, keycloakParams } = params;
    const { accessTokenToUser } = (0, user_1.createAccessTokenToUser)({
        "decodeJwt": accessToken => jwtSimple.decode(accessToken, "", true),
        jwtClaimByUserKey
    });
    const { validateKeycloakSignature } = keycloakParams !== undefined
        ? (0, createValidateKeycloakSignature_1.createValidateKeycloakSignature)(keycloakParams)
        : { "validateKeycloakSignature": undefined };
    async function createContext({ req }) {
        const { authorization } = req.headers;
        if (!authorization) {
            return {};
        }
        const accessToken = authorization.split(" ")[1];
        await (validateKeycloakSignature === null || validateKeycloakSignature === void 0 ? void 0 : validateKeycloakSignature({ accessToken }));
        const user = accessTokenToUser({ accessToken });
        return { user };
    }
    return { createContext };
}
exports.createContextFactory = createContextFactory;
//# sourceMappingURL=context.js.map