import type { ExternalDataOrigin, LocalizedString } from "../core/ports/GetSoftwareExternalData";
import type { User } from "./user";
export declare function startRpcService(params: {
    keycloakParams?: {
        url: string;
        realm: string;
        clientId: string;
        adminPassword: string;
        organizationUserProfileAttributeName: string;
    };
    termsOfServiceUrl: LocalizedString;
    readmeUrl: LocalizedString;
    jwtClaimByUserKey: Record<keyof User, string>;
    dataRepoSshUrl: string;
    sshPrivateKeyForGitName: string;
    sshPrivateKeyForGit: string;
    githubWebhookSecret?: string;
    githubPersonalAccessTokenForApiRateLimit: string;
    port: number;
    isDevEnvironnement: boolean;
    externalSoftwareDataOrigin: ExternalDataOrigin;
    redirectUrl?: string;
}): Promise<void>;
