"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAccessTokenToUser = void 0;
const zod_1 = require("zod");
const assert_1 = require("tsafe/assert");
const parsedJwtPayloadToUser_1 = require("../tools/parsedJwtPayloadToUser");
const zUser = zod_1.z.object({
    "id": zod_1.z.string(),
    "email": zod_1.z.string(),
    "organization": zod_1.z.string()
});
{
    (0, assert_1.assert)();
}
function createAccessTokenToUser(params) {
    const { decodeJwt, jwtClaimByUserKey } = params;
    function accessTokenToUser(params) {
        const { accessToken } = params;
        const user = (0, parsedJwtPayloadToUser_1.parsedJwtPayloadToUser)({
            zUser,
            "parsedJwtPayload": decodeJwt(accessToken),
            jwtClaimByUserKey
        });
        user.email = user.email.toLowerCase();
        return user;
    }
    return { accessTokenToUser };
}
exports.createAccessTokenToUser = createAccessTokenToUser;
//# sourceMappingURL=user.js.map