export type NpmModuleVersion = {
    major: number;
    minor: number;
    patch: number;
    betaPreRelease?: number;
};
export declare namespace NpmModuleVersion {
    function parse(versionStr: string): NpmModuleVersion;
    function stringify(v: NpmModuleVersion): string;
    /**
     *
     * v1  <  v2  => -1
     * v1 === v2  => 0
     * v1  >  v2  => 1
     *
     */
    function compare(v1: NpmModuleVersion, v2: NpmModuleVersion): -1 | 0 | 1;
    function bumpType(params: {
        versionBehindStr: string;
        versionAheadStr: string;
    }): "major" | "minor" | "patch" | "betaPreRelease" | "same";
}
