"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createObjectThatThrowsIfAccessed = void 0;
function createObjectThatThrowsIfAccessed(params) {
    const { debugMessage = "" } = params !== null && params !== void 0 ? params : {};
    const get = (...args) => {
        const [, prop] = args;
        throw new Error(`Cannot access ${String(prop)} yet ${debugMessage}`);
    };
    return new Proxy({}, {
        get,
        "set": get
    });
}
exports.createObjectThatThrowsIfAccessed = createObjectThatThrowsIfAccessed;
//# sourceMappingURL=createObjectThatThrowsIfAccessed.js.map