import type { KcContext } from "keycloakify/login/kcContext";
export type User = {
    id: string;
    email: string;
    createdTimestamp: number;
    attributes: Record<string, string[]>;
    emailVerified: boolean;
};
export type KeycloakAdminApiClient = {
    updateUser: (params: {
        userId: string;
        body: Record<string, unknown>;
    }) => Promise<void>;
    /** NOTE: The return type isn't correct but it would be if Keycloak was consistent */
    getUserProfileAttributes: () => Promise<KcContext.RegisterUserProfile["profile"]["attributes"]>;
    getUsers: (params: {
        first: number;
        max: number;
    }) => Promise<User[]>;
};
export declare function createKeycloakAdminApiClient(params: {
    url: string;
    adminPassword: string;
    realm: string;
}): KeycloakAdminApiClient;
