"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCommitAheadFactory = void 0;
const getCommonOrigin_1 = require("./getCommonOrigin");
const listCommit_1 = require("./listCommit");
/** Take two branch that have a common origin and list all the
 * commit that have been made on the branch that is ahead since it
 * has been forked from the branch that is behind.
 * From the older to the newest.
 * */
function getCommitAheadFactory(params) {
    const { octokit } = params;
    const { getCommonOrigin } = (0, getCommonOrigin_1.getCommonOriginFactory)({ octokit });
    const { listCommit } = (0, listCommit_1.listCommitFactory)({ octokit });
    async function getCommitAhead(params) {
        const { owner, repo, branchBehind, branchAhead } = params;
        const { sha } = await getCommonOrigin({
            owner,
            repo,
            "branch1": branchBehind,
            "branch2": branchAhead
        });
        const commits = await listCommit({
            owner,
            repo,
            "branch": branchAhead,
            sha
        });
        return { commits };
    }
    return { getCommitAhead };
}
exports.getCommitAheadFactory = getCommitAheadFactory;
//# sourceMappingURL=getCommitAhead.js.map