import type { ReturnType } from "tsafe";
import type { Octokit } from "@octokit/rest";
/** Alias for the non exported ReposListCommitsResponseData type alias */
export type Commit = ReturnType<Octokit["repos"]["listCommits"]>["data"][number];
/** Iterate over the commits of a repo's branch */
export declare function getCommitAsyncIterableFactory(params: {
    octokit: Octokit;
}): {
    getCommitAsyncIterable: (params: {
        owner: string;
        repo: string;
        branch: string;
    }) => AsyncIterable<Commit>;
};
