import type { ReturnType } from "tsafe";
import type { Octokit } from "@octokit/rest";
/** Alias for the non exported PullsListResponseData type alias */
export type PullRequest = ReturnType<Octokit["pulls"]["list"]>["data"][number];
export declare function getPullRequestAsyncIterableFactory(params: {
    octokit: Octokit;
}): {
    getPullRequestAsyncIterable: (params: {
        owner: string;
        repo: string;
        state: "open" | "closed" | "all";
    }) => AsyncIterable<PullRequest>;
};
