"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.listTagsFactory = void 0;
const per_page = 99;
function listTagsFactory(params) {
    const { octokit } = params;
    const octokit_repo_listTags = async (params) => {
        return octokit.repos.listTags(params);
    };
    async function* listTags(params) {
        const { owner, repo } = params;
        let page = 1;
        while (true) {
            const resp = await octokit_repo_listTags({
                owner,
                repo,
                per_page,
                "page": page++
            });
            for (const branch of resp.data.map(({ name }) => name)) {
                yield branch;
            }
            if (resp.data.length < 99) {
                break;
            }
        }
    }
    /** Returns the same "latest" tag as deno.land/x, not actually the latest though */
    async function getLatestTag(params) {
        const { owner, repo } = params;
        const itRes = await listTags({ owner, repo }).next();
        if (itRes.done) {
            return undefined;
        }
        return itRes.value;
    }
    return { listTags, getLatestTag };
}
exports.listTagsFactory = listTagsFactory;
//# sourceMappingURL=listTags.js.map