"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseGitHubRepoUrl = void 0;
function parseGitHubRepoUrl(url) {
    const regex = /^https?:\/\/github\.com\/([^\/]+)\/([^\/]+)(\.git)?$/;
    const match = url.match(regex);
    if (!match) {
        throw new Error("Invalid GitHub URL");
    }
    const owner = match[1];
    const repoName = match[2].replace(/\.git$/, "");
    const repository = `${owner}/${repoName}`;
    return {
        owner,
        repoName,
        repository
    };
}
exports.parseGitHubRepoUrl = parseGitHubRepoUrl;
//# sourceMappingURL=parseGithubRepoUrl.js.map